Name:           tcl-tcldict
Version:        8.5.2
Release:        2%{?dist}
Summary:        Tcl dictionary extension

Group:          Development/Libraries
License:        TCL
URL:            http://pascal.scheffers.net/software/
Source0:        http://pascal.scheffers.net/software/tclDict-%{version}.tar.gz
Patch0:         tcldict-8.5.1-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This command is part of the core Tcl language in version 8.5 and later,
# so this should not be built in these newest versions of Tcl.
BuildRequires:  tcl-devel < 1:8.5
Requires:       tcl(abi) = 8.4
Provides:       tcldict = %{version}-%{release}

%description
The dict command from Tcl 8.5, backported to Tcl 8.4.

%package devel
Summary: Development files for compiling against the Tcl dict extension
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Development files for compiling against the Tcl dict extension

%prep
%setup -q -n tclDict-%{version}
%patch0
chmod a-x ChangeLog license.terms generic/*.c generic/*.h


%build
%configure --enable-threads
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove some unnecessary execute permissions
chmod a-x $RPM_BUILD_ROOT%{_libdir}/dict%{version}/*.a

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license.terms ChangeLog 
%{_mandir}/mann/*.gz
%dir %{_libdir}/dict%{version}
%{_libdir}/dict%{version}/*.so
%{_libdir}/dict%{version}/*.tcl

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/dict%{version}/*.a



%changelog
* Tue Aug 21 2007 Wart <wart at kobold.org> - 8.5.2-2
- License tag clarification

* Wed Jun 9 2007 Wart <wart at kobold.org> - 8.5.2-1
- Update to 8.5.2
- Rename to 'tcl-tcldict' to match other scripting language conventions
- Add epoch to the BuildRequires
- Remove execute permission from the static lib

* Wed Nov 29 2006 Wart <wart at kobold.org> - 8.5.1-1
- Initial package for Fedora
